=== debian/changelog ===
toil (8.2.0-1) unstable; urgency=medium

  * New upstream version.
        Fixed slurm partition selection
        Cleanup of unneeded files
        Improve Google Cloud authentication errors
        Caching support for CWL
        Add `--slurmPartition` and `--slurmGPUPartition` and support `--time`
          in `TOIL_SLURM_ARGS`
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches. Dropped 3 that are not longer needed
  * d/control: include cwltest, python3-pytest-timeout,
               python3-pytest-subtests, and python3-prompt-toolkit
  * Added patch to fix typos

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Sep 2025 15:15:12 +0200
