=== debian/tests/control ===
Tests: smoke-test
Depends: @
Restrictions: allow-stderr, superficial
