=== debian/changelog ===
toil (9.0.0-1) unstable; urgency=medium

  * New upstream version.
      Added new unified plugin system.
      Toil now supports URL plugins.
      --importWorkersThreshold has been renamed to --importWorkersBatchsize.
      Fix a bug in Toil server mode CWL YAML parsing.
      CWL worker import works again.
      CWL: Fixed a regression with tmpdir_prefix and nonexistent diectories
      Added --cwl-min-ram to CWL. This specifies a minimum memory allocation
      for all jobs. This is different than --defaultMemory, which only applies
      to jobs without explicitly set memory requirements.
  * Refreshed patches.
  * d/control: needs pytest-httpserver for a new test.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Oct 2025 09:15:28 +0200
