=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 dill>=0.3.2, <0.4
-requests<=2.31.0
+requests<=2.32.5
 docker>=6.1.0, <8
 urllib3>=1.26.0,<3
 python-dateutil
