=== debian/changelog ===
toil (9.1.0-1) unstable; urgency=medium

  * New upstream version.
      Toil's AWS job store now depends only on the S3 API; Amazon SimpleDB is
        no longer required.
      Toil's autoscaler should again be able to add AWS spot market nodes.
      Toil now checks scontrol first for Slurm jobs, and then pages through
        constrained time ranges of data from sacct, instead of first asking
        sacct about all of history.
      Breaking Changes
        Because of the new AWS job store implementation, Toil 9.1 can no longer
        read, delete, or resume AWS job stores created with Toil 9.0 or
        earlier. If you need to destroy an old job store, use toil clean
        from toil[aws]==9.0. In general, Toil doesn't consider losing
        compatibility with an older Toil's job store data on disk to be a
        major-version-worthy change, since it might happen any time Toil
        revises its internal data structures, but in this case the lack of
        delete support for the old format is a tripping hazard that we want to
        call out.
  * Refreshed patches
  * Cleaned up some lintian warnings
  * New typos for the spelling patch, and forwarded them upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 17 Oct 2025 11:42:07 +0200
