=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Michael R. Crusoe <crusoe@debian.org>
 Section: net
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -14,12 +15,12 @@
                python3-docker,
                python3-dill,
                cwltool (>= 3.1.20240112164112),
-               python3-schema-salad (>= 8.4.20230128170514),
+               python3-schema-salad,
                python3-enlighten,
                python3-wdlparse,
                python3-pytest <!nocheck>,
                python3-pytest-xdist <!nocheck>,
-               python3-boto3 (>=1.17) <!nocheck>,
+               python3-boto3 <!nocheck>,
                python3-stubserver <!nocheck>,
                rsync <!nocheck>,
                python3-yaml <!nocheck>,
@@ -37,26 +38,26 @@
                cwltest <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-pytest-subtests <!nocheck>,
-               python3-prompt-toolkit <!nocheck>
+               python3-prompt-toolkit <!nocheck>,
+               python3-pytest-httpserver <!nocheck>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/toil
 Vcs-Git: https://salsa.debian.org/med-team/toil.git
 Homepage: https://github.com/BD2KGenomics/toil
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: toil
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
          cwltool (>= 3.1.20240112164112),
-         python3-schema-salad (>= 8.4.20230128170514),
+         python3-schema-salad,
          python3-boto3
 Recommends: python3-libcloud
 # for mesos support, but needs python3-mesos first
 #           python3-protobuf,
 Suggests: podman | docker.io | singularity-container | docker-ce,
-          python3-idna,
+          python3-idna
 Provides: cwl-runner
 #Suggests: python-toil-doc
 Description: cross-platform workflow engine
