=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk
export PYBUILD_NAME=toil

export PYBUILD_DESTDIR=debian/toil/
PYBUILD_TEST_ARGS=$(DEB_BUILD_OPTION_PARALLEL:%=-n %) --dist loadscope -vv -W ignore  -k "not (testVirtualEnv or DockstoreLookupTest or testMultiplejobs or testServices)" -m "not slow"
# testVirtualEnv - requires an internet connection to download packages from PyPI
# testMultiplejobs - flaky during parallel execution
# testServices - flaky during parallel execution https://bugs.debian.org/1101085
ifeq ($(PYBUILD_AUTOPKGTEST),1)
PYBUILD_TEST_ARGS += --ignore /usr/lib/python3/dist-packages/toil/test/lib/aws/test_s3.py --ignore /usr/lib/python3/dist-packages/toil/test/provisioners/aws/awsProvisionerTest.py --ignore /usr/lib/python3/dist-packages/toil/test/wdl/wdltoil_test.py --ignore /usr/lib/python3/dist-packages/toil/test/cwl/cwlTest.py --ignore /usr/lib/python3/dist-packages/toil/test/lib/test_ec2.py --ignore /usr/lib/python3/dist-packages/toil/test/batchSystems/batchSystemTest.py --ignore /usr/lib/python3/dist-packages/toil/test/lib/aws/test_iam.py --ignore  /usr/lib/python3/dist-packages/toil/test/provisioners/clusterTest.py --ignore /usr/lib/python3/dist-packages/toil/test/wdl/wdltoil_test_kubernetes.py --ignore /usr/lib/python3/dist-packages/toil/test/cactus/test_cactus_integration.py --pyargs toil.test
else
PYBUILD_TEST_ARGS += --ignore toil/test/lib/aws/test_s3.py --ignore toil/test/provisioners/aws/awsProvisionerTest.py --ignore toil/test/wdl/wdltoil_test.py --ignore toil/test/cwl/cwlTest.py --ignore toil/test/lib/test_ec2.py --ignore toil/test/batchSystems/batchSystemTest.py --ignore toil/test/lib/aws/test_iam.py --ignore  toil/test/provisioners/clusterTest.py --ignore toil/test/wdl/wdltoil_test_kubernetes.py --ignore toil/test/cactus/test_cactus_integration.py toil/test
export PYBUILD_AFTER_TEST=find {build_dir} \( -name fileToSort.txt -o -name sortedFile.txt -o -name 'kind-explode_*' \) -print -delete ; find {build_dir} -name "jobstore-test*" | xargs rm -Rf
endif
export PYBUILD_TEST_ARGS

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src http_proxy='127.0.0.1:9' $(MAKE) -C docs man SPHINXOPTS=""
endif
# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#	PYTHONPATH=$(CURDIR)/src http_proxy='127.0.0.1:9' $(MAKE) -C docs html # HTML generator

execute_after_dh_auto_install:
	find $(CURDIR)/debian -name cwltoil -delete
	# remove the below once mesos is packaged and tested
	find $(CURDIR)/debian -name _toil_mesos_executor -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	TOIL_SKIP_ONLINE=true TOIL_TEST_QUICK=True TOIL_SKIP_DOCKER=True dh_auto_test
endif

execute_after_dh_auto_clean:
	rm -rf docs/_build
	find . -name "*.pyc" -delete
