=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/b/~b/g" \
https://github.com/BD2KGenomics/toil/tags .*/releases/@ANY_VERSION@.tar.gz
