## toil 9.1.2

=== debian/changelog ===
toil (9.1.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Homepage moved to https://github.com/DataBiosphere/toil
  * d/watch: version=5

  [ Michael R. Crusoe ]
  * Accepted patch to use SubTest from pytest 9.0.1+. Closes: #1123531
  * New upstream version
  * Freshen version patch
  * d/rules: skip testing on Python 3.14 until the next toil release
  * d/control: bump minimum cwltool version, add two suggestions
    (condor, kubernetes)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 08 Jan 2026 09:36:23 +0100
