=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                python3-configargparse,
                python3-docker,
                python3-dill,
-               cwltool (>= 3.1.20240112164112),
+               cwltool (>= 3.1.20250715140722),
                python3-schema-salad,
                python3-enlighten,
                python3-wdlparse,
-               python3-pytest <!nocheck>,
+               python3-pytest (>= 9.0.1) <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-boto3 <!nocheck>,
                python3-stubserver <!nocheck>,
@@ -33,31 +33,30 @@
                python3-sphinxcontrib.autoprogram <!nodoc>,
                python3-pubsub <!nodoc>,
                python3-doc <!nodoc>,
-               python3-tz <!nodoc> <!nocheck>,
                cwl-utils <!nocheck>,
                cwltest <!nocheck>,
                python3-pytest-timeout <!nocheck>,
-               python3-pytest-subtests <!nocheck>,
                python3-prompt-toolkit <!nocheck>,
-               python3-pytest-httpserver <!nocheck>,
-Standards-Version: 4.7.2
+               python3-pytest-httpserver <!nocheck>
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/toil
 Vcs-Git: https://salsa.debian.org/med-team/toil.git
-Homepage: https://github.com/BD2KGenomics/toil
-Rules-Requires-Root: no
+Homepage: https://github.com/DataBiosphere/toil
 
 Package: toil
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         cwltool (>= 3.1.20240112164112),
+         cwltool (>= 3.1.20250715140722),
          python3-schema-salad,
          python3-boto3
 Recommends: python3-libcloud
 # for mesos support, but needs python3-mesos first
 #           python3-protobuf,
 Suggests: podman | docker.io | singularity-container | docker-ce,
-          python3-idna
+          python3-idna,
+          condor,
+          python3-kubernetes
 Provides: cwl-runner
 #Suggests: python-toil-doc
 Description: cross-platform workflow engine
