=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 export PYBUILD_NAME=toil
 
 export PYBUILD_DESTDIR=debian/toil/
+export PYBUILD_DISABLE_python3.14=test
 PYBUILD_TEST_ARGS=$(DEB_BUILD_OPTION_PARALLEL:%=-n %) --dist loadscope -vv -W ignore  -k "not (testVirtualEnv or DockstoreLookupTest or testMultiplejobs or testServices)" -m "not slow"
 # testVirtualEnv - requires an internet connection to download packages from PyPI
 # testMultiplejobs - flaky during parallel execution
